##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF amazon tool book content type

$Id: book.py,v 1.2 2003/11/24 13:42:57 ctheune Exp $"""

from Products.Archetypes.public import *

from AccessControl import ClassSecurityInfo

list_locales = DisplayList(( ('de', 'Deutschland'), ('us', 'United States'), ('jp', 'Japan'), ('uk', 'Great Britain')))

class Book(BaseContent):

    security = ClassSecurityInfo()

    schema = BaseSchema + Schema((
        StringField('comment', title='Comment', required=1),
        StringField('asin', title='ASIN', required=1),
        StringField('catalog', title='Local catalog', required=1, widget=SelectionWidget(), vocabulary=list_locales)
        ))

    security.declarePublic('getAmazonData')
    def getAmazonData(self, price=0):
        """Return the amazon data."""
        return self.portal_amazon.getBook(self.asin, locale=self.catalog, price=0)

registerType(Book)

